Loading...
Searching...
No Matches
juce::RelativeCoordinate::Strings Struct Reference

## Detailed Description

A set of static strings that are commonly used by the RelativeCoordinate class.

As well as avoiding using string literals in your code, using these preset values has the advantage that all instances of the same string will share the same, reference-counted String object, so if you have thousands of points which all refer to the same anchor points, this can save a significant amount of memory allocation.

The documentation for this struct was generated from the following file:

- juce_gui_basics/positioning/juce_RelativeCoordinate.h

## Static Public Attributes

static const String | parent
| "parent"
static const String | left
| "left"
static const String | right
| "right"
static const String | top
| "top"
static const String | bottom
| "bottom"
static const String | x
| "x"
static const String | y
| "y"
static const String | width
| "width"
static const String | height
| "height"

## Member Data Documentation

## parent

const String juce::RelativeCoordinate::Strings::parent

static

"parent"

## left

const String juce::RelativeCoordinate::Strings::left

static

"left"

## right

const String juce::RelativeCoordinate::Strings::right

static

"right"

## top

const String juce::RelativeCoordinate::Strings::top

static

"top"

## bottom

const String juce::RelativeCoordinate::Strings::bottom

static

"bottom"

## x

const String juce::RelativeCoordinate::Strings::x

static

"x"

## y

const String juce::RelativeCoordinate::Strings::y

static

"y"

## width

const String juce::RelativeCoordinate::Strings::width

static

"width"

## height

const String juce::RelativeCoordinate::Strings::height

static

"height"

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited